Subject: Re: bug#29662: 'guix gc' as user makes system unbootable

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 11 Dec 2017 22:14:32 +0100

Hi Quiliro,

> 'guix gc' as user makes system unbootable.-
>
> I had executed 'guix gc' and then 'guix package -i blender' and then
> 'guix package -u', all as user without running 'guix pull' recently
> (did it last week). When rebooting, current GrUB boot menu entry did
> not work. But previous versions (#1,#2,#3) worked at different
> levels. Below each menu entry I post my experience upon boting with
> it:

Did you remove anything under /var/guix/profiles/ before running “guix
gc”?

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net